Bug 970690 - Nunito font in private directory
Nunito font in private directory
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rekonq (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Grulich
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-04 11:34 EDT by Karel Volný
Modified: 2013-06-23 05:19 EDT (History)
2 users (show)

See Also:
Fixed In Version: rekonq-2.3.0-2.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-13 02:39:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Volný 2013-06-04 11:34:36 EDT
Description of problem:
Playing with Panopticlick [https://panopticlick.eff.org/] I've found Rekonq reports different font set than Seamonkey. Comparing the lists, I've found Rekonq has the Nunito font which Seamonkey can't find. The reason is that the font file is not installed system-wide. This is forbidden by the Packaging guidelines.

Version-Release number of selected component (if applicable):
rekonq-2.3.0-1.fc19.x86_64

How reproducible:
always

Steps to Reproduce:
1. rpm -ql rekonq | grep Nunito
2. rpm -ql google-nunito-fonts

Actual results:
1. /usr/share/kde4/apps/rekonq/fonts/Nunito-Regular.ttf
2. package google-nunito-fonts is not installed

Expected results:
1. (no output)
2. /usr/share/fonts/google/Nunito-Regular.ttf

Additional info:
See https://fedoraproject.org/wiki/Packaging:Guidelines#Avoid_bundling_of_fonts_in_other_packages

I'm not sure I understand correctly the stuff about "foundries" ... as the font author provides the font as part of "Google Web Fonts" [http://www.google.com/fonts/specimen/Nunito], I believe "google-" should be prefixed, but better to check with someone doing fonts ...
Comment 1 Fedora Update System 2013-06-04 12:36:43 EDT
rekonq-2.3.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rekonq-2.3.0-2.fc19
Comment 2 Fedora Update System 2013-06-04 12:38:51 EDT
rekonq-2.3.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/rekonq-2.3.0-2.fc18
Comment 3 Fedora Update System 2013-06-04 12:39:46 EDT
rekonq-2.3.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/rekonq-2.3.0-2.fc17
Comment 4 Fedora Update System 2013-06-04 22:33:15 EDT
Package rekonq-2.3.0-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rekonq-2.3.0-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10041/rekonq-2.3.0-2.fc19
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-06-13 02:39:33 EDT
rekonq-2.3.0-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-06-13 22:26:31 EDT
rekonq-2.3.0-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-06-23 05:19:02 EDT
rekonq-2.3.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/rekonq-2.3.1-1.fc17

Note You need to log in before you can comment on or make changes to this bug.